This is the technical support forum for WPML - the multilingual WordPress plugin.

Everyone can read, but only WPML clients can post here. WPML team is replying on the forum 6 days per week, 22 hours per day.

This topic contains 5 replies, has 5 voices.

Last updated by redaE-2 4 months, 1 week ago.

Assigned support staff: Carlos Rojas.

Author Posts
June 12, 2019 at 7:20 am #4001037

Oscar

Hello,

today I updated woocommerce multilangual plugin to the latest versions and suddenly I could not edit my products anymore. Also it's conflicting with Advanced Layout Builder.

I restored an older version of the plugin and suddenly everything works as should.

Also see report from WordPress error loging:

/var/www/vhosts/powercubes.eu/httpdocs/wp-content/plugins/woocommerce-multilingual/vendor/twig/twig/lib/Twig/TokenParserBroker.php. Foutmelding: Uncaught TypeError: Argument 1 passed to Twig_TokenParserBroker::addTokenParser() must be an instance of Twig\TokenParser\TokenParserInterface, instance of Twig_TokenParser_For given, called in /var/www/vhosts/powercubes.eu/httpdocs/wp-content/plugins/sitepress-multilingual-cms/vendor/twig/twig/lib/Twig/Environment.php on line 1507 and defined in /var/www/vhosts/powercubes.eu/httpdocs/wp-content/plugins/woocommerce-multilingual/vendor/twig/twig/lib/Twig/TokenParserBroker.php:53
Stack trace:
#0 /var/www/vhosts/powercubes.eu/httpdocs/wp-content/plugins/sitepress-multilingual-cms/vendor/twig/twig/lib/Twig/Environment.php(1507): Twig_TokenParserBroker->addTokenParser(Object(Twig_TokenParser_For))
#1 /var/www/vhosts/powercubes.eu/httpdocs/wp-content/plugins/sitepress-multilingual-cms/vendor/twig/twig/lib/Twig/Environment.php(1459): Twig_Environment->initExtension(Object(Twig_Extension_Core))
#2 /var/www/vhosts/powercubes.eu/httpdocs/wp-content/plugins/sitepress-multilingual-cms/vendor/twig/twig/lib/Twig/Environmen

June 12, 2019 at 7:30 am #4001133

fredrikS-7

Also me.

June 12, 2019 at 7:34 am #4001157

redaE-2

Have the same problem here

June 12, 2019 at 7:42 am #4001231

Carlos Rojas
Supporter

Languages: English (English ) Spanish (Español )

Timezone: America/Montevideo (GMT-03:00)

Hello,
Thank you for contacting WPML support.

Please revert the update and re-install the previos version. This is a known issue and our developers are working on a solution.

Kind regards,
Carlos

June 12, 2019 at 9:06 am #4002209

wpmluser78694856

How do I roll back? I'm getting the same error.

June 12, 2019 at 9:08 am #4002237

redaE-2

Install WP Rollback plugin